Bug 889130 - Review Request: openpgm - An implementation of the PGM reliable multicast protocol
Summary: Review Request: openpgm - An implementation of the PGM reliable multicast pro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Niemantsverdriet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 867182
TreeView+ depends on / blocked
 
Reported: 2012-12-20 10:06 UTC by Jose Pedro Oliveira
Modified: 2013-01-13 19:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-07 03:55:07 UTC
Type: ---
andrewniemants: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2012-12-20 10:06:16 UTC
Spec URL:
http://um-pe09-2.di.uminho.pt/fedora/openpgm.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.1.118-1.fc17.src.rpm

Description:
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.

Fedora Account System Username:
jpo

Additional info:
This library will be used by ZeroMQ

Comment 1 Andrew Niemantsverdriet 2012-12-21 16:05:45 UTC
Everything looks good, rpmlint output a couple false warnings about mis-spelling. Also the buildroot is only used by EL5 when that is EOL it should be removed.

I have set the fedora-review flag to +

Comment 2 Jose Pedro Oliveira 2012-12-21 16:28:13 UTC
Andrew,

(In reply to comment #1)
> Everything looks good, rpmlint output a couple false warnings about
> mis-spelling. Also the buildroot is only used by EL5 when that is EOL it
> should be removed.
> 
> I have set the fedora-review flag to +

Thanks for the review.  For now I'll import the SRPM as is for F17+ and EPEL6 (and if no one requests an EPEL5 build in the next couple of weeks, I'll remove the defattr lines, the buildroot cleaning lines, and the buildroot specification).

BTW, does anyone want to be co-maintainer of the openpgm package?

Regards,
jpo

Comment 3 Andrew Niemantsverdriet 2012-12-21 16:30:54 UTC
Jose,

Great, I would help you co-maintain this package. 

Thanks for getting this done,
 _
/-\ ndrew

Comment 4 Jose Pedro Oliveira 2012-12-21 16:45:15 UTC
New Package SCM Request
=======================
Package Name: openpgm
Short Description: An implementation of the PGM reliable multicast protocol
Owners: jpo kaptk2
Branches: f17 f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-12-21 17:08:28 UTC
Git done (by process-git-requests).

Comment 6 Jose Pedro Oliveira 2012-12-21 20:43:33 UTC
Hummm... all the builds are failing... I don't think koji can handle the tarball filename ... I'll try to rename the tarball (starting by replacing the "%7E" sequence)

----------
$ fedpkg srpm
Downloading libpgm-5.1.118%7Edfsg.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Could not execute srpm: Command '['curl', '-H', 'Pragma:', '-o', '/home/jpo/fedoraproject/openpgm/libpgm-5.1.118%7Edfsg.tar.gz', '-R', '-S', '--fail', 'http://pkgs.fedoraproject.org/repo/pkgs/openpgm/libpgm-5.1.118%7Edfsg.tar.gz/f77e4279c9e462a2d4acd5e8a8d5b27f/libpgm-5.1.118%7Edfsg.tar.gz']' returned non-zero exit status 22
-----

Comment 7 Fedora Update System 2012-12-22 01:28:32 UTC
openpgm-5.1.118-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openpgm-5.1.118-3.fc18

Comment 8 Fedora Update System 2012-12-22 01:29:53 UTC
openpgm-5.1.118-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openpgm-5.1.118-3.fc17

Comment 9 Fedora Update System 2012-12-22 01:30:46 UTC
openpgm-5.1.118-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openpgm-5.1.118-3.el6

Comment 10 Fedora Update System 2012-12-22 21:13:10 UTC
openpgm-5.1.118-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-01-07 03:55:09 UTC
openpgm-5.1.118-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-01-12 00:33:21 UTC
openpgm-5.1.118-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-01-13 19:21:57 UTC
openpgm-5.1.118-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.